Intrusion Prevention

ImageMagick.Image.ephemeral.Pseudo.Protocol.File.Access

Description

This indicates an attack attempt against a File Access vulnerability in ImageMagick.
The vulnerability is caused by improper validation of image files. A remote attacker may be able to exploit this to move arbitrary file on the affected system, via a crafted file.

Affected Products

ImageMagick 6.x before 6.9.3-10
ImageMagick 7.x before 7.0.1-1

Impact

Security Bypass: Remote attackers can bypass security checks of vulnerable systems to move arbitrary files.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
http://legacy.imagemagick.org/script/changelog.php

CVE References

CVE-2016-3716